#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Class
%define		pnam	Accessor-Lite
%include	/usr/lib/rpm/macros.perl
Summary:	Class::Accessor::Lite - a minimalistic variant of Class::Accessor
Name:		perl-Class-Accessor-Lite
Version:	0.08
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6ed2f281887efa598183433c09695489
URL:		http://search.cpan.org/dist/Class-Accessor-Lite/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The module is a variant of Class::Accessor. It is fast and requires
less typing, has no dependencies to other modules, and does not mess
up the @ISA.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/Accessor/*.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-Accessor-Lite.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> dabaea5
- up to 0.08

* Thu Sep 05 2013 Caleb Maclennan <caleb@pld-linux.org> a6a6920
- Adapterized

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> d23c7c7
- added

